get_method¶
Operation¶
get_method
async
¶
get_method(input: GetMethodInput, plugins: list[Plugin] | None = None) -> GetMethodOutput
Describe an existing Method resource.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
input
|
GetMethodInput
|
An instance of |
required |
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
GetMethodOutput
|
An instance of |
Input¶
GetMethodInput
dataclass
¶
Request to describe an existing Method resource.
Attributes¶
http_method
class-attribute
instance-attribute
¶
http_method: str | None = None
Specifies the method request's HTTP method type.
resource_id
class-attribute
instance-attribute
¶
resource_id: str | None = None
The Resource identifier for the Method resource.
rest_api_id
class-attribute
instance-attribute
¶
rest_api_id: str | None = None
The string identifier of the associated RestApi.
Output¶
GetMethodOutput
dataclass
¶
Represents a client-facing interface by which the client calls the API to access back-end resources. A Method resource is integrated with an Integration resource. Both consist of a request and one or more responses. The method request takes the client input that is passed to the back end through the integration request. A method response returns the output from the back end to the client through an integration response. A method request is embodied in a Method resource, whereas an integration request is embodied in an Integration resource. On the other hand, a method response is represented by a MethodResponse resource, whereas an integration response is represented by an IntegrationResponse resource.
Attributes¶
api_key_required
class-attribute
instance-attribute
¶
api_key_required: bool | None = None
A boolean flag specifying whether a valid ApiKey is required to invoke this method.
authorization_scopes
class-attribute
instance-attribute
¶
authorization_scopes: list[str] | None = None
A list of authorization scopes configured on the method. The scopes are
used with a COGNITO_USER_POOLS authorizer to authorize the method
invocation. The authorization works by matching the method scopes
against the scopes parsed from the access token in the incoming request.
The method invocation is authorized if any method scopes matches a
claimed scope in the access token. Otherwise, the invocation is not
authorized. When the method scope is configured, the client must provide
an access token instead of an identity token for authorization purposes.
authorization_type
class-attribute
instance-attribute
¶
authorization_type: str | None = None
The method's authorization type. Valid values are NONE for open
access, AWS_IAM for using AWS IAM permissions, CUSTOM for using a
custom authorizer, or COGNITO_USER_POOLS for using a Cognito user
pool.
authorizer_id
class-attribute
instance-attribute
¶
authorizer_id: str | None = None
The identifier of an Authorizer to use on this method. The
authorizationType must be CUSTOM.
http_method
class-attribute
instance-attribute
¶
http_method: str | None = None
The method's HTTP verb.
method_integration
class-attribute
instance-attribute
¶
method_integration: Integration | None = None
Gets the method's integration responsible for passing the client-submitted request to the back end and performing necessary transformations to make the request compliant with the back end.
method_responses
class-attribute
instance-attribute
¶
method_responses: dict[str, MethodResponse] | None = None
Gets a method response associated with a given HTTP status code.
operation_name
class-attribute
instance-attribute
¶
operation_name: str | None = None
A human-friendly operation identifier for the method. For example, you
can assign the operationName of ListPets for the GET /pets method
in the PetStore example.
request_models
class-attribute
instance-attribute
¶
request_models: dict[str, str] | None = None
A key-value map specifying data schemas, represented by Model resources, (as the mapped value) of the request payloads of given content types (as the mapping key).
request_parameters
class-attribute
instance-attribute
¶
request_parameters: dict[str, bool] | None = None
A key-value map defining required or optional method request parameters
that can be accepted by API Gateway. A key is a method request parameter
name matching the pattern of method.request.{location}.{name}, where
location is querystring, path, or header and name is a valid
and unique parameter name. The value associated with the key is a
Boolean flag indicating whether the parameter is required (true) or
optional (false). The method request parameter names defined here are
available in Integration to be mapped to integration request parameters
or templates.
request_validator_id
class-attribute
instance-attribute
¶
request_validator_id: str | None = None
The identifier of a RequestValidator for request validation.